export declare class Path {
    private _pathSegments;
    private _isClosed;
    constructor();
    private addPathSegments;
    moveTo(x: number, y: number): this;
    moveToRelative(dx: number, dy: number): this;
    lineTo(x: number, y: number): this;
    lineToRelative(dx: number, dy: number): this;
    horizontalLineTo(x: number): this;
    horizontalLineToRelative(dx: number): this;
    verticalLineTo(y: number): this;
    verticalLineToRelative(dy: number): this;
    curveTo(cx1: number, cy1: number, cx2: number, cy2: number, tx: number, ty: number): this;
    curveToRelative(cdx1: number, cdy1: number, cdx2: number, cdy2: number, tdx: number, tdy: number): this;
    smoothCurveTo(cx2: number, cy2: number, tx: number, ty: number): this;
    smoothCurveToRelative(cdx2: number, cdy2: number, tdx: number, tdy: number): this;
    quadCurveTo(cx: number, cy: number, tx: number, ty: number): this;
    quadCurveToRelative(cdx: number, cdy: number, tdx: number, tdy: number): this;
    smoothQuadCurveTo(tx: number, ty: number): this;
    smoothQuadCurveToRelative(tdx: number, tdy: number): this;
    ellipticalArcTo(rx: number, ry: number, xAxisRotation: number, isLargeArc: boolean, isClockWise: boolean, tx: number, ty: number): this;
    closePath(): this;
    back(): this;
    remove(index: number): this;
    toString(): string;
    get pathString(): string;
    append(path: Path): this;
}
