export type PieOption = {
  width: number;
  height: number;
  colors: string[];
  stroke?: string;
  strokeWidth?: number;
  data: {
    value: number;
    label?: string;
    strokeColor?: string;
    fillColor?: string;
    strokeWidth?: number;
  }[];
}

export type PieData = PieOption['data'];

export type SVGElementTag = keyof SVGElementTagNameMap;

export type ElementAttrs = {[key: string]: any};

export type Instrument =
  | 'M'
  | 'm'
  | 'L'
  | 'l'
  | 'H'
  | 'h'
  | 'V'
  | 'v'
  | 'C'
  | 'c'
  | 'S'
  | 's'
  | 'Q'
  | 'q'
  | 'T'
  | 't'
  | 'A'
  | 'a'
  | 'Z';