export type Ease = (percentageComplete: number, ...other: any[]) => number;

export const easeLinear = (t: number) => t;

export const easeIn = (t: number, order: number = 2) => Math.pow(t, order);

export const easeOut = (t: number) => 1 - Math.pow(1 - t, 2);

export const easeInOut = (t: number) => t - Math.sin(2 * Math.PI * t) / (2 * Math.PI);

export const easeElasticity = (t: number, passCenterTimes = 2) =>
  1 - Math.cos(t * passCenterTimes * Math.PI) * (1 - t) + t;
