export function interpolateNumber(start: number, end: number) {
  const diff = end - start;
  return (t: number) => start + t * diff;
}

export function interpolateNumberArray(from: number[], to: number[]) {
  if (from.length !== to.length) {
    throw 'two array must have the same length';
  }
  const interpolateFuncs = from.map((start, index) => interpolateNumber(start, to[index]));
  return (t: number) => interpolateFuncs.map(func => func(t));
}